/** BEGIN COPYRIGHT BLOCK
 * Copyright (C) 2001 Sun Microsystems, Inc. Used by permission.
 * Copyright (C) 2005 Red Hat, Inc.
 * All rights reserved.
 *
 * License: GPL (version 3 or any later version).
 * See LICENSE for details.
 * END COPYRIGHT BLOCK **/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

/* disconnect_errors.h
 *
 * Errors used in logging the reason a connection was closed.
 */
#ifndef __DISCONNECT_ERRORS_H_
#define __DISCONNECT_ERRORS_H_

#define SLAPD_DISCONNECT_ERROR_BASE -5000

#define SLAPD_DISCONNECT_ABORT SLAPD_DISCONNECT_ERROR_BASE + 0
#define SLAPD_DISCONNECT_BAD_BER_TAG SLAPD_DISCONNECT_ERROR_BASE + 1
#define SLAPD_DISCONNECT_BER_TOO_BIG SLAPD_DISCONNECT_ERROR_BASE + 2
#define SLAPD_DISCONNECT_BER_PEEK SLAPD_DISCONNECT_ERROR_BASE + 3
#define SLAPD_DISCONNECT_BER_FLUSH SLAPD_DISCONNECT_ERROR_BASE + 4
#define SLAPD_DISCONNECT_IDLE_TIMEOUT SLAPD_DISCONNECT_ERROR_BASE + 5
#define SLAPD_DISCONNECT_REVENTS SLAPD_DISCONNECT_ERROR_BASE + 6
#define SLAPD_DISCONNECT_IO_TIMEOUT SLAPD_DISCONNECT_ERROR_BASE + 7
#define SLAPD_DISCONNECT_PLUGIN SLAPD_DISCONNECT_ERROR_BASE + 8
#define SLAPD_DISCONNECT_UNBIND SLAPD_DISCONNECT_ERROR_BASE + 9
#define SLAPD_DISCONNECT_POLL SLAPD_DISCONNECT_ERROR_BASE + 10
#define SLAPD_DISCONNECT_NTSSL_TIMEOUT SLAPD_DISCONNECT_ERROR_BASE + 11
#define SLAPD_DISCONNECT_SASL_FAIL SLAPD_DISCONNECT_ERROR_BASE + 12
#define SLAPD_DISCONNECT_PROXY_INVALID_HEADER SLAPD_DISCONNECT_ERROR_BASE + 13
#define SLAPD_DISCONNECT_PROXY_UNKNOWN SLAPD_DISCONNECT_ERROR_BASE + 14
#define SLAPD_DISCONNECT_PAGED_SEARCH_LIMIT SLAPD_DISCONNECT_ERROR_BASE + 15

#endif /* __DISCONNECT_ERRORS_H_ */
